Node¶
List All Nodes¶
GET /api/admin/locations/{location_id}/regions/{region_id}/nodes
Schema
nodes: Arrayid: Stringlabel: Stringhostname: Stringprimary_ip: Stringdisconnected: Booleanfailed_health_checks: Integeractive: Booleanonline_at: DateTimedisconnected_at: DateTimepublic_ip: Stringregion_id: Integermaintenance: Booleanmaintenance_updated: DateTimejob_status: Stringssh_port: Integervolume_device: Stringblock_write_bps: Integerblock_read_bps: Integercreated_at: DateTimeupdated_at: DateTime
View Node¶
GET /api/admin/locations/{location_id}/regions/{region_id}/nodes/{id}
Schema
node: Objectid: Stringlabel: Stringhostname: Stringprimary_ip: Stringdisconnected: Booleanfailed_health_checks: Integeractive: Booleanonline_at: DateTimedisconnected_at: DateTimepublic_ip: Stringregion_id: Integermaintenance: Booleanmaintenance_updated: DateTimejob_status: Stringssh_port: Integervolume_device: Stringblock_write_bps: Integerblock_read_bps: Integercreated_at: DateTimeupdated_at: DateTime
Update Node¶
PATCH /api/admin/locations/{location_id}/regions/{region_id}/nodes/{id}
Note: We currently do not allow changing the hostname of an existing node.
Schema
node: Objectlabel: Stringprimary_ip: Stringactive: Booleanpublic_ip: Stringregion_id: Integerssh_port: Integervolume_device: Stringblock_write_bps: Integerblock_read_bps: Integer
Create Node¶
POST /api/admin/locations/{location_id}/regions/{region_id}/nodes
Schema
node: Objectlabel: Stringhostname: Stringprimary_ip: Stringactive: Booleanpublic_ip: Stringregion_id: Integerssh_port: Integervolume_device: Stringblock_write_bps: Integerblock_read_bps: Integer
Delete Node¶
DELETE /api/admin/locations/{location_id}/regions/{region_id}/nodes/{id}
Maintenance Mode¶
Enable¶
POST /api/admin/locations/{location_id}/regions/{region_id}/nodes/{node_id}/maintenance
Warning
Warning This will evacuate all containers that are not using local volumes to other nodes in the region (Availability-Zone).
Returns HTTP 202 Accepted if successful.
Disable¶
DELETE /api/admin/locations/{location_id}/regions/{region_id}/nodes/{node_id}/maintenance
Returns HTTP 202 Accepted if successful.